`define INSN_LDH_AC		9'b0111x0010	// Either LDH A,(C) or LDH (C),A

`ifdef EXECUTE
	`INSN_LDH_AC: begin
		case (cycle)
		0:	if (opcode[4])	// LD A,(C)
				`EXEC_READ(({8'hFF,`_C}))
			else
				`EXEC_WRITE(({8'hFF,`_C}), `_A)
		1:	begin
				`EXEC_NEWCYCLE
				`EXEC_INC_PC
			end
		endcase
	end
`endif

`ifdef WRITEBACK
	`INSN_LDH_AC: begin
		case (cycle)
		0:	begin /* Type F */ end
		1:	if (opcode[4]) `_A <= rdata;
		endcase
	end
`endif

