`define INSN_RST		9'b011xxx111

`ifdef EXECUTE
	`INSN_RST: begin
		case (cycle)
		0:	`EXEC_INC_PC		// This goes FIRST in RST
		1:	`EXEC_WRITE(`_SP - 1, `_PCH)
		2:	`EXEC_WRITE(`_SP - 2, `_PCL)
		3:	begin
				`EXEC_NEWCYCLE
				`_PC <= {10'b0,opcode[5:3],3'b0};
			end
		endcase
	end
`endif

`ifdef WRITEBACK
	`INSN_RST: begin
		case (cycle)
		0:	begin /* type F */ end
		1:	begin /* type F */ end
		2:	begin /* type F */ end
		3:	`_SP <= `_SP - 2;
		endcase
	end
`endif
